about summary refs log tree commit diff
path: root/tests/substituter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/substituter.sh')
-rwxr-xr-xtests/substituter.sh27
1 files changed, 18 insertions, 9 deletions
diff --git a/tests/substituter.sh b/tests/substituter.sh
index 005e97605c91..96fb95b91f6b 100755
--- a/tests/substituter.sh
+++ b/tests/substituter.sh
@@ -1,10 +1,19 @@
-#! /bin/sh -ex
-echo $*
-
-case $* in
-    *)
-        mkdir $1
-        echo $3 $4 > $1/hello
-        ;;
-esac        
+#! /bin/sh -e
+echo substituter args: $* >&2
 
+if test $1 = "--query-paths"; then
+    cat $TEST_ROOT/sub-paths
+elif test $1 = "--query-info"; then
+    shift
+    for i in in $@; do
+        echo $i
+        echo "" # deriver
+        echo 0 # nr of refs
+    done
+elif test $1 = "--substitute"; then
+    mkdir $2
+    echo "Hallo Wereld" > $2/hello
+else
+    echo "unknown substituter operation"
+    exit 1
+fi